# -*- coding: utf-8 -*-

continents = {
    'AF': {'code': 'AF', 'name': 'Africa', 'geonameid': 6255146},
    'AS': {'code': 'AS', 'name': 'Asia', 'geonameid': 6255147},
    'EU': {'code': 'EU', 'name': 'Europe', 'geonameid': 6255148},
    'NA': {'code': 'NA', 'name': 'North America', 'geonameid': 6255149},
    'OC': {'code': 'OC', 'name': 'Oceania', 'geonameid': 6255151},
    'SA': {'code': 'SA', 'name': 'South America', 'geonameid': 6255150},
    'AN': {'code': 'AN', 'name': 'Antarctica', 'geonameid': 6255152}
}

countries = {
    'AD': {'code': 'AD', 'name': 'Andorra', 'continentcode': 'EU', 'population': 84000, 'geonameid': 3041565},
    'AE': {'code': 'AE', 'name': 'United Arab Emirates', 'continentcode': 'AS', 'population': 4975593, 'geonameid': 290557},
    'AF': {'code': 'AF', 'name': 'Afghanistan', 'continentcode': 'AS', 'population': 29121286, 'geonameid': 1149361},
    'AG': {'code': 'AG', 'name': 'Antigua and Barbuda', 'continentcode': 'NA', 'population': 86754, 'geonameid': 3576396},
    'AI': {'code': 'AI', 'name': 'Anguilla', 'continentcode': 'NA', 'population': 13254, 'geonameid': 3573511},
    'AL': {'code': 'AL', 'name': 'Albania', 'continentcode': 'EU', 'population': 2986952, 'geonameid': 783754},
    'AM': {'code': 'AM', 'name': 'Armenia', 'continentcode': 'AS', 'population': 2968000, 'geonameid': 174982},
    'AO': {'code': 'AO', 'name': 'Angola', 'continentcode': 'AF', 'population': 13068161, 'geonameid': 3351879},
    'AQ': {'code': 'AQ', 'name': 'Antarctica', 'continentcode': 'AN', 'population': 0, 'geonameid': 6697173},
    'AR': {'code': 'AR', 'name': 'Argentina', 'continentcode': 'SA', 'population': 41343201, 'geonameid': 3865483},
    'AS': {'code': 'AS', 'name': 'American Samoa', 'continentcode': 'OC', 'population': 57881, 'geonameid': 5880801},
    'AT': {'code': 'AT', 'name': 'Austria', 'continentcode': 'EU', 'population': 8205000, 'geonameid': 2782113},
    'AU': {'code': 'AU', 'name': 'Australia', 'continentcode': 'OC', 'population': 21515754, 'geonameid': 2077456},
    'AW': {'code': 'AW', 'name': 'Aruba', 'continentcode': 'NA', 'population': 71566, 'geonameid': 3577279},
    'AX': {'code': 'AX', 'name': 'Aland Islands', 'continentcode': 'EU', 'population': 26711, 'geonameid': 661882},
    'AZ': {'code': 'AZ', 'name': 'Azerbaijan', 'continentcode': 'AS', 'population': 8303512, 'geonameid': 587116},
    'BA': {'code': 'BA', 'name': 'Bosnia and Herzegovina', 'continentcode': 'EU', 'population': 4590000, 'geonameid': 3277605},
    'BB': {'code': 'BB', 'name': 'Barbados', 'continentcode': 'NA', 'population': 285653, 'geonameid': 3374084},
    'BD': {'code': 'BD', 'name': 'Bangladesh', 'continentcode': 'AS', 'population': 156118464, 'geonameid': 1210997},
    'BE': {'code': 'BE', 'name': 'Belgium', 'continentcode': 'EU', 'population': 10403000, 'geonameid': 2802361},
    'BF': {'code': 'BF', 'name': 'Burkina Faso', 'continentcode': 'AF', 'population': 16241811, 'geonameid': 2361809},
    'BG': {'code': 'BG', 'name': 'Bulgaria', 'continentcode': 'EU', 'population': 7148785, 'geonameid': 732800},
    'BH': {'code': 'BH', 'name': 'Bahrain', 'continentcode': 'AS', 'population': 738004, 'geonameid': 290291},
    'BI': {'code': 'BI', 'name': 'Burundi', 'continentcode': 'AF', 'population': 9863117, 'geonameid': 433561},
    'BJ': {'code': 'BJ', 'name': 'Benin', 'continentcode': 'AF', 'population': 9056010, 'geonameid': 2395170},
    'BL': {'code': 'BL', 'name': 'Saint Barthelemy', 'continentcode': 'NA', 'population': 8450, 'geonameid': 3578476},
    'BM': {'code': 'BM', 'name': 'Bermuda', 'continentcode': 'NA', 'population': 65365, 'geonameid': 3573345},
    'BN': {'code': 'BN', 'name': 'Brunei', 'continentcode': 'AS', 'population': 395027, 'geonameid': 1820814},
    'BO': {'code': 'BO', 'name': 'Bolivia', 'continentcode': 'SA', 'population': 9947418, 'geonameid': 3923057},
    'BQ': {'code': 'BQ', 'name': 'Bonaire, Saint Eustatius and Saba ', 'continentcode': 'NA', 'population': 18012, 'geonameid': 7626844},
    'BR': {'code': 'BR', 'name': 'Brazil', 'continentcode': 'SA', 'population': 201103330, 'geonameid': 3469034},
    'BS': {'code': 'BS', 'name': 'Bahamas', 'continentcode': 'NA', 'population': 301790, 'geonameid': 3572887},
    'BT': {'code': 'BT', 'name': 'Bhutan', 'continentcode': 'AS', 'population': 699847, 'geonameid': 1252634},
    'BV': {'code': 'BV', 'name': 'Bouvet Island', 'continentcode': 'AN', 'population': 0, 'geonameid': 3371123},
    'BW': {'code': 'BW', 'name': 'Botswana', 'continentcode': 'AF', 'population': 2029307, 'geonameid': 933860},
    'BY': {'code': 'BY', 'name': 'Belarus', 'continentcode': 'EU', 'population': 9685000, 'geonameid': 630336},
    'BZ': {'code': 'BZ', 'name': 'Belize', 'continentcode': 'NA', 'population': 314522, 'geonameid': 3582678},
    'CA': {'code': 'CA', 'name': 'Canada', 'continentcode': 'NA', 'population': 33679000, 'geonameid': 6251999},
    'CC': {'code': 'CC', 'name': 'Cocos Islands', 'continentcode': 'AS', 'population': 628, 'geonameid': 1547376},
    'CD': {'code': 'CD', 'name': 'Democratic Republic of the Congo', 'continentcode': 'AF', 'population': 70916439, 'geonameid': 203312},
    'CF': {'code': 'CF', 'name': 'Central African Republic', 'continentcode': 'AF', 'population': 4844927, 'geonameid': 239880},
    'CG': {'code': 'CG', 'name': 'Republic of the Congo', 'continentcode': 'AF', 'population': 3039126, 'geonameid': 2260494},
    'CH': {'code': 'CH', 'name': 'Switzerland', 'continentcode': 'EU', 'population': 7581000, 'geonameid': 2658434},
    'CI': {'code': 'CI', 'name': 'Ivory Coast', 'continentcode': 'AF', 'population': 21058798, 'geonameid': 2287781},
    'CK': {'code': 'CK', 'name': 'Cook Islands', 'continentcode': 'OC', 'population': 21388, 'geonameid': 1899402},
    'CL': {'code': 'CL', 'name': 'Chile', 'continentcode': 'SA', 'population': 16746491, 'geonameid': 3895114},
    'CM': {'code': 'CM', 'name': 'Cameroon', 'continentcode': 'AF', 'population': 19294149, 'geonameid': 2233387},
    'CN': {'code': 'CN', 'name': 'China', 'continentcode': 'AS', 'population': 1330044000, 'geonameid': 1814991},
    'CO': {'code': 'CO', 'name': 'Colombia', 'continentcode': 'SA', 'population': 44205293, 'geonameid': 3686110},
    'CR': {'code': 'CR', 'name': 'Costa Rica', 'continentcode': 'NA', 'population': 4516220, 'geonameid': 3624060},
    'CU': {'code': 'CU', 'name': 'Cuba', 'continentcode': 'NA', 'population': 11423000, 'geonameid': 3562981},
    'CV': {'code': 'CV', 'name': 'Cape Verde', 'continentcode': 'AF', 'population': 508659, 'geonameid': 3374766},
    'CW': {'code': 'CW', 'name': 'Curacao', 'continentcode': 'NA', 'population': 141766, 'geonameid': 7626836},
    'CX': {'code': 'CX', 'name': 'Christmas Island', 'continentcode': 'AS', 'population': 1500, 'geonameid': 2078138},
    'CY': {'code': 'CY', 'name': 'Cyprus', 'continentcode': 'EU', 'population': 1102677, 'geonameid': 146669},
    'CZ': {'code': 'CZ', 'name': 'Czech Republic', 'continentcode': 'EU', 'population': 10476000, 'geonameid': 3077311},
    'DE': {'code': 'DE', 'name': 'Germany', 'continentcode': 'EU', 'population': 81802257, 'geonameid': 2921044},
    'DJ': {'code': 'DJ', 'name': 'Djibouti', 'continentcode': 'AF', 'population': 740528, 'geonameid': 223816},
    'DK': {'code': 'DK', 'name': 'Denmark', 'continentcode': 'EU', 'population': 5484000, 'geonameid': 2623032},
    'DM': {'code': 'DM', 'name': 'Dominica', 'continentcode': 'NA', 'population': 72813, 'geonameid': 3575830},
    'DO': {'code': 'DO', 'name': 'Dominican Republic', 'continentcode': 'NA', 'population': 9823821, 'geonameid': 3508796},
    'DZ': {'code': 'DZ', 'name': 'Algeria', 'continentcode': 'AF', 'population': 34586184, 'geonameid': 2589581},
    'EC': {'code': 'EC', 'name': 'Ecuador', 'continentcode': 'SA', 'population': 14790608, 'geonameid': 3658394},
    'EE': {'code': 'EE', 'name': 'Estonia', 'continentcode': 'EU', 'population': 1291170, 'geonameid': 453733},
    'EG': {'code': 'EG', 'name': 'Egypt', 'continentcode': 'AF', 'population': 80471869, 'geonameid': 357994},
    'EH': {'code': 'EH', 'name': 'Western Sahara', 'continentcode': 'AF', 'population': 273008, 'geonameid': 2461445},
    'ER': {'code': 'ER', 'name': 'Eritrea', 'continentcode': 'AF', 'population': 5792984, 'geonameid': 338010},
    'ES': {'code': 'ES', 'name': 'Spain', 'continentcode': 'EU', 'population': 46505963, 'geonameid': 2510769},
    'ET': {'code': 'ET', 'name': 'Ethiopia', 'continentcode': 'AF', 'population': 88013491, 'geonameid': 337996},
    'FI': {'code': 'FI', 'name': 'Finland', 'continentcode': 'EU', 'population': 5244000, 'geonameid': 660013},
    'FJ': {'code': 'FJ', 'name': 'Fiji', 'continentcode': 'OC', 'population': 875983, 'geonameid': 2205218},
    'FK': {'code': 'FK', 'name': 'Falkland Islands', 'continentcode': 'SA', 'population': 2638, 'geonameid': 3474414},
    'FM': {'code': 'FM', 'name': 'Micronesia', 'continentcode': 'OC', 'population': 107708, 'geonameid': 2081918},
    'FO': {'code': 'FO', 'name': 'Faroe Islands', 'continentcode': 'EU', 'population': 48228, 'geonameid': 2622320},
    'FR': {'code': 'FR', 'name': 'France', 'continentcode': 'EU', 'population': 64768389, 'geonameid': 3017382},
    'GA': {'code': 'GA', 'name': 'Gabon', 'continentcode': 'AF', 'population': 1545255, 'geonameid': 2400553},
    'GB': {'code': 'GB', 'name': 'United Kingdom', 'continentcode': 'EU', 'population': 62348447, 'geonameid': 2635167},
    'GD': {'code': 'GD', 'name': 'Grenada', 'continentcode': 'NA', 'population': 107818, 'geonameid': 3580239},
    'GE': {'code': 'GE', 'name': 'Georgia', 'continentcode': 'AS', 'population': 4630000, 'geonameid': 614540},
    'GF': {'code': 'GF', 'name': 'French Guiana', 'continentcode': 'SA', 'population': 195506, 'geonameid': 3381670},
    'GG': {'code': 'GG', 'name': 'Guernsey', 'continentcode': 'EU', 'population': 65228, 'geonameid': 3042362},
    'GH': {'code': 'GH', 'name': 'Ghana', 'continentcode': 'AF', 'population': 24339838, 'geonameid': 2300660},
    'GI': {'code': 'GI', 'name': 'Gibraltar', 'continentcode': 'EU', 'population': 27884, 'geonameid': 2411586},
    'GL': {'code': 'GL', 'name': 'Greenland', 'continentcode': 'NA', 'population': 56375, 'geonameid': 3425505},
    'GM': {'code': 'GM', 'name': 'Gambia', 'continentcode': 'AF', 'population': 1593256, 'geonameid': 2413451},
    'GN': {'code': 'GN', 'name': 'Guinea', 'continentcode': 'AF', 'population': 10324025, 'geonameid': 2420477},
    'GP': {'code': 'GP', 'name': 'Guadeloupe', 'continentcode': 'NA', 'population': 443000, 'geonameid': 3579143},
    'GQ': {'code': 'GQ', 'name': 'Equatorial Guinea', 'continentcode': 'AF', 'population': 1014999, 'geonameid': 2309096},
    'GR': {'code': 'GR', 'name': 'Greece', 'continentcode': 'EU', 'population': 11000000, 'geonameid': 390903},
    'GS': {'code': 'GS', 'name': 'South Georgia and the South Sandwich Islands', 'continentcode': 'AN', 'population': 30, 'geonameid': 3474415},
    'GT': {'code': 'GT', 'name': 'Guatemala', 'continentcode': 'NA', 'population': 13550440, 'geonameid': 3595528},
    'GU': {'code': 'GU', 'name': 'Guam', 'continentcode': 'OC', 'population': 159358, 'geonameid': 4043988},
    'GW': {'code': 'GW', 'name': 'Guinea-Bissau', 'continentcode': 'AF', 'population': 1565126, 'geonameid': 2372248},
    'GY': {'code': 'GY', 'name': 'Guyana', 'continentcode': 'SA', 'population': 748486, 'geonameid': 3378535},
    'HK': {'code': 'HK', 'name': 'Hong Kong', 'continentcode': 'AS', 'population': 6898686, 'geonameid': 1819730},
    'HM': {'code': 'HM', 'name': 'Heard Island and McDonald Islands', 'continentcode': 'AN', 'population': 0, 'geonameid': 1547314},
    'HN': {'code': 'HN', 'name': 'Honduras', 'continentcode': 'NA', 'population': 7989415, 'geonameid': 3608932},
    'HR': {'code': 'HR', 'name': 'Croatia', 'continentcode': 'EU', 'population': 4491000, 'geonameid': 3202326},
    'HT': {'code': 'HT', 'name': 'Haiti', 'continentcode': 'NA', 'population': 9648924, 'geonameid': 3723988},
    'HU': {'code': 'HU', 'name': 'Hungary', 'continentcode': 'EU', 'population': 9930000, 'geonameid': 719819},
    'ID': {'code': 'ID', 'name': 'Indonesia', 'continentcode': 'AS', 'population': 242968342, 'geonameid': 1643084},
    'IE': {'code': 'IE', 'name': 'Ireland', 'continentcode': 'EU', 'population': 4622917, 'geonameid': 2963597},
    'IL': {'code': 'IL', 'name': 'Israel', 'continentcode': 'AS', 'population': 7353985, 'geonameid': 294640},
    'IM': {'code': 'IM', 'name': 'Isle of Man', 'continentcode': 'EU', 'population': 75049, 'geonameid': 3042225},
    'IN': {'code': 'IN', 'name': 'India', 'continentcode': 'AS', 'population': 1173108018, 'geonameid': 1269750},
    'IO': {'code': 'IO', 'name': 'British Indian Ocean Territory', 'continentcode': 'AS', 'population': 4000, 'geonameid': 1282588},
    'IQ': {'code': 'IQ', 'name': 'Iraq', 'continentcode': 'AS', 'population': 29671605, 'geonameid': 99237},
    'IR': {'code': 'IR', 'name': 'Iran', 'continentcode': 'AS', 'population': 76923300, 'geonameid': 130758},
    'IS': {'code': 'IS', 'name': 'Iceland', 'continentcode': 'EU', 'population': 308910, 'geonameid': 2629691},
    'IT': {'code': 'IT', 'name': 'Italy', 'continentcode': 'EU', 'population': 60340328, 'geonameid': 3175395},
    'JE': {'code': 'JE', 'name': 'Jersey', 'continentcode': 'EU', 'population': 90812, 'geonameid': 3042142},
    'JM': {'code': 'JM', 'name': 'Jamaica', 'continentcode': 'NA', 'population': 2847232, 'geonameid': 3489940},
    'JO': {'code': 'JO', 'name': 'Jordan', 'continentcode': 'AS', 'population': 6407085, 'geonameid': 248816},
    'JP': {'code': 'JP', 'name': 'Japan', 'continentcode': 'AS', 'population': 127288000, 'geonameid': 1861060},
    'KE': {'code': 'KE', 'name': 'Kenya', 'continentcode': 'AF', 'population': 40046566, 'geonameid': 192950},
    'KG': {'code': 'KG', 'name': 'Kyrgyzstan', 'continentcode': 'AS', 'population': 5508626, 'geonameid': 1527747},
    'KH': {'code': 'KH', 'name': 'Cambodia', 'continentcode': 'AS', 'population': 14453680, 'geonameid': 1831722},
    'KI': {'code': 'KI', 'name': 'Kiribati', 'continentcode': 'OC', 'population': 92533, 'geonameid': 4030945},
    'KM': {'code': 'KM', 'name': 'Comoros', 'continentcode': 'AF', 'population': 773407, 'geonameid': 921929},
    'KN': {'code': 'KN', 'name': 'Saint Kitts and Nevis', 'continentcode': 'NA', 'population': 49898, 'geonameid': 3575174},
    'KP': {'code': 'KP', 'name': 'North Korea', 'continentcode': 'AS', 'population': 22912177, 'geonameid': 1873107},
    'KR': {'code': 'KR', 'name': 'South Korea', 'continentcode': 'AS', 'population': 48422644, 'geonameid': 1835841},
    'XK': {'code': 'XK', 'name': 'Kosovo', 'continentcode': 'EU', 'population': 1800000, 'geonameid': 831053},
    'KW': {'code': 'KW', 'name': 'Kuwait', 'continentcode': 'AS', 'population': 2789132, 'geonameid': 285570},
    'KY': {'code': 'KY', 'name': 'Cayman Islands', 'continentcode': 'NA', 'population': 44270, 'geonameid': 3580718},
    'KZ': {'code': 'KZ', 'name': 'Kazakhstan', 'continentcode': 'AS', 'population': 15340000, 'geonameid': 1522867},
    'LA': {'code': 'LA', 'name': 'Laos', 'continentcode': 'AS', 'population': 6368162, 'geonameid': 1655842},
    'LB': {'code': 'LB', 'name': 'Lebanon', 'continentcode': 'AS', 'population': 4125247, 'geonameid': 272103},
    'LC': {'code': 'LC', 'name': 'Saint Lucia', 'continentcode': 'NA', 'population': 160922, 'geonameid': 3576468},
    'LI': {'code': 'LI', 'name': 'Liechtenstein', 'continentcode': 'EU', 'population': 35000, 'geonameid': 3042058},
    'LK': {'code': 'LK', 'name': 'Sri Lanka', 'continentcode': 'AS', 'population': 21513990, 'geonameid': 1227603},
    'LR': {'code': 'LR', 'name': 'Liberia', 'continentcode': 'AF', 'population': 3685076, 'geonameid': 2275384},
    'LS': {'code': 'LS', 'name': 'Lesotho', 'continentcode': 'AF', 'population': 1919552, 'geonameid': 932692},
    'LT': {'code': 'LT', 'name': 'Lithuania', 'continentcode': 'EU', 'population': 3565000, 'geonameid': 597427},
    'LU': {'code': 'LU', 'name': 'Luxembourg', 'continentcode': 'EU', 'population': 497538, 'geonameid': 2960313},
    'LV': {'code': 'LV', 'name': 'Latvia', 'continentcode': 'EU', 'population': 2217969, 'geonameid': 458258},
    'LY': {'code': 'LY', 'name': 'Libya', 'continentcode': 'AF', 'population': 6461454, 'geonameid': 2215636},
    'MA': {'code': 'MA', 'name': 'Morocco', 'continentcode': 'AF', 'population': 31627428, 'geonameid': 2542007},
    'MC': {'code': 'MC', 'name': 'Monaco', 'continentcode': 'EU', 'population': 32965, 'geonameid': 2993457},
    'MD': {'code': 'MD', 'name': 'Moldova', 'continentcode': 'EU', 'population': 4324000, 'geonameid': 617790},
    'ME': {'code': 'ME', 'name': 'Montenegro', 'continentcode': 'EU', 'population': 666730, 'geonameid': 3194884},
    'MF': {'code': 'MF', 'name': 'Saint Martin', 'continentcode': 'NA', 'population': 35925, 'geonameid': 3578421},
    'MG': {'code': 'MG', 'name': 'Madagascar', 'continentcode': 'AF', 'population': 21281844, 'geonameid': 1062947},
    'MH': {'code': 'MH', 'name': 'Marshall Islands', 'continentcode': 'OC', 'population': 65859, 'geonameid': 2080185},
    'MK': {'code': 'MK', 'name': 'Macedonia', 'continentcode': 'EU', 'population': 2061000, 'geonameid': 718075},
    'ML': {'code': 'ML', 'name': 'Mali', 'continentcode': 'AF', 'population': 13796354, 'geonameid': 2453866},
    'MM': {'code': 'MM', 'name': 'Myanmar', 'continentcode': 'AS', 'population': 53414374, 'geonameid': 1327865},
    'MN': {'code': 'MN', 'name': 'Mongolia', 'continentcode': 'AS', 'population': 3086918, 'geonameid': 2029969},
    'MO': {'code': 'MO', 'name': 'Macao', 'continentcode': 'AS', 'population': 449198, 'geonameid': 1821275},
    'MP': {'code': 'MP', 'name': 'Northern Mariana Islands', 'continentcode': 'OC', 'population': 53883, 'geonameid': 4041468},
    'MQ': {'code': 'MQ', 'name': 'Martinique', 'continentcode': 'NA', 'population': 432900, 'geonameid': 3570311},
    'MR': {'code': 'MR', 'name': 'Mauritania', 'continentcode': 'AF', 'population': 3205060, 'geonameid': 2378080},
    'MS': {'code': 'MS', 'name': 'Montserrat', 'continentcode': 'NA', 'population': 9341, 'geonameid': 3578097},
    'MT': {'code': 'MT', 'name': 'Malta', 'continentcode': 'EU', 'population': 403000, 'geonameid': 2562770},
    'MU': {'code': 'MU', 'name': 'Mauritius', 'continentcode': 'AF', 'population': 1294104, 'geonameid': 934292},
    'MV': {'code': 'MV', 'name': 'Maldives', 'continentcode': 'AS', 'population': 395650, 'geonameid': 1282028},
    'MW': {'code': 'MW', 'name': 'Malawi', 'continentcode': 'AF', 'population': 15447500, 'geonameid': 927384},
    'MX': {'code': 'MX', 'name': 'Mexico', 'continentcode': 'NA', 'population': 112468855, 'geonameid': 3996063},
    'MY': {'code': 'MY', 'name': 'Malaysia', 'continentcode': 'AS', 'population': 28274729, 'geonameid': 1733045},
    'MZ': {'code': 'MZ', 'name': 'Mozambique', 'continentcode': 'AF', 'population': 22061451, 'geonameid': 1036973},
    'NA': {'code': 'NA', 'name': 'Namibia', 'continentcode': 'AF', 'population': 2128471, 'geonameid': 3355338},
    'NC': {'code': 'NC', 'name': 'New Caledonia', 'continentcode': 'OC', 'population': 216494, 'geonameid': 2139685},
    'NE': {'code': 'NE', 'name': 'Niger', 'continentcode': 'AF', 'population': 15878271, 'geonameid': 2440476},
    'NF': {'code': 'NF', 'name': 'Norfolk Island', 'continentcode': 'OC', 'population': 1828, 'geonameid': 2155115},
    'NG': {'code': 'NG', 'name': 'Nigeria', 'continentcode': 'AF', 'population': 154000000, 'geonameid': 2328926},
    'NI': {'code': 'NI', 'name': 'Nicaragua', 'continentcode': 'NA', 'population': 5995928, 'geonameid': 3617476},
    'NL': {'code': 'NL', 'name': 'Netherlands', 'continentcode': 'EU', 'population': 16645000, 'geonameid': 2750405},
    'NO': {'code': 'NO', 'name': 'Norway', 'continentcode': 'EU', 'population': 4985870, 'geonameid': 3144096},
    'NP': {'code': 'NP', 'name': 'Nepal', 'continentcode': 'AS', 'population': 28951852, 'geonameid': 1282988},
    'NR': {'code': 'NR', 'name': 'Nauru', 'continentcode': 'OC', 'population': 10065, 'geonameid': 2110425},
    'NU': {'code': 'NU', 'name': 'Niue', 'continentcode': 'OC', 'population': 2166, 'geonameid': 4036232},
    'NZ': {'code': 'NZ', 'name': 'New Zealand', 'continentcode': 'OC', 'population': 4252277, 'geonameid': 2186224},
    'OM': {'code': 'OM', 'name': 'Oman', 'continentcode': 'AS', 'population': 2967717, 'geonameid': 286963},
    'PA': {'code': 'PA', 'name': 'Panama', 'continentcode': 'NA', 'population': 3410676, 'geonameid': 3703430},
    'PE': {'code': 'PE', 'name': 'Peru', 'continentcode': 'SA', 'population': 29907003, 'geonameid': 3932488},
    'PF': {'code': 'PF', 'name': 'French Polynesia', 'continentcode': 'OC', 'population': 270485, 'geonameid': 4030656},
    'PG': {'code': 'PG', 'name': 'Papua New Guinea', 'continentcode': 'OC', 'population': 6064515, 'geonameid': 2088628},
    'PH': {'code': 'PH', 'name': 'Philippines', 'continentcode': 'AS', 'population': 99900177, 'geonameid': 1694008},
    'PK': {'code': 'PK', 'name': 'Pakistan', 'continentcode': 'AS', 'population': 184404791, 'geonameid': 1168579},
    'PL': {'code': 'PL', 'name': 'Poland', 'continentcode': 'EU', 'population': 38500000, 'geonameid': 798544},
    'PM': {'code': 'PM', 'name': 'Saint Pierre and Miquelon', 'continentcode': 'NA', 'population': 7012, 'geonameid': 3424932},
    'PN': {'code': 'PN', 'name': 'Pitcairn', 'continentcode': 'OC', 'population': 46, 'geonameid': 4030699},
    'PR': {'code': 'PR', 'name': 'Puerto Rico', 'continentcode': 'NA', 'population': 3916632, 'geonameid': 4566966},
    'PS': {'code': 'PS', 'name': 'Palestinian Territory', 'continentcode': 'AS', 'population': 3800000, 'geonameid': 6254930},
    'PT': {'code': 'PT', 'name': 'Portugal', 'continentcode': 'EU', 'population': 10676000, 'geonameid': 2264397},
    'PW': {'code': 'PW', 'name': 'Palau', 'continentcode': 'OC', 'population': 19907, 'geonameid': 1559582},
    'PY': {'code': 'PY', 'name': 'Paraguay', 'continentcode': 'SA', 'population': 6375830, 'geonameid': 3437598},
    'QA': {'code': 'QA', 'name': 'Qatar', 'continentcode': 'AS', 'population': 840926, 'geonameid': 289688},
    'RE': {'code': 'RE', 'name': 'Reunion', 'continentcode': 'AF', 'population': 776948, 'geonameid': 935317},
    'RO': {'code': 'RO', 'name': 'Romania', 'continentcode': 'EU', 'population': 21959278, 'geonameid': 798549},
    'RS': {'code': 'RS', 'name': 'Serbia', 'continentcode': 'EU', 'population': 7344847, 'geonameid': 6290252},
    'RU': {'code': 'RU', 'name': 'Russia', 'continentcode': 'EU', 'population': 140702000, 'geonameid': 2017370},
    'RW': {'code': 'RW', 'name': 'Rwanda', 'continentcode': 'AF', 'population': 11055976, 'geonameid': 49518},
    'SA': {'code': 'SA', 'name': 'Saudi Arabia', 'continentcode': 'AS', 'population': 25731776, 'geonameid': 102358},
    'SB': {'code': 'SB', 'name': 'Solomon Islands', 'continentcode': 'OC', 'population': 559198, 'geonameid': 2103350},
    'SC': {'code': 'SC', 'name': 'Seychelles', 'continentcode': 'AF', 'population': 88340, 'geonameid': 241170},
    'SD': {'code': 'SD', 'name': 'Sudan', 'continentcode': 'AF', 'population': 35000000, 'geonameid': 366755},
    'SS': {'code': 'SS', 'name': 'South Sudan', 'continentcode': 'AF', 'population': 8260490, 'geonameid': 7909807},
    'SE': {'code': 'SE', 'name': 'Sweden', 'continentcode': 'EU', 'population': 9045000, 'geonameid': 2661886},
    'SG': {'code': 'SG', 'name': 'Singapore', 'continentcode': 'AS', 'population': 4701069, 'geonameid': 1880251},
    'SH': {'code': 'SH', 'name': 'Saint Helena', 'continentcode': 'AF', 'population': 7460, 'geonameid': 3370751},
    'SI': {'code': 'SI', 'name': 'Slovenia', 'continentcode': 'EU', 'population': 2007000, 'geonameid': 3190538},
    'SJ': {'code': 'SJ', 'name': 'Svalbard and Jan Mayen', 'continentcode': 'EU', 'population': 2550, 'geonameid': 607072},
    'SK': {'code': 'SK', 'name': 'Slovakia', 'continentcode': 'EU', 'population': 5455000, 'geonameid': 3057568},
    'SL': {'code': 'SL', 'name': 'Sierra Leone', 'continentcode': 'AF', 'population': 5245695, 'geonameid': 2403846},
    'SM': {'code': 'SM', 'name': 'San Marino', 'continentcode': 'EU', 'population': 31477, 'geonameid': 3168068},
    'SN': {'code': 'SN', 'name': 'Senegal', 'continentcode': 'AF', 'population': 12323252, 'geonameid': 2245662},
    'SO': {'code': 'SO', 'name': 'Somalia', 'continentcode': 'AF', 'population': 10112453, 'geonameid': 51537},
    'SR': {'code': 'SR', 'name': 'Suriname', 'continentcode': 'SA', 'population': 492829, 'geonameid': 3382998},
    'ST': {'code': 'ST', 'name': 'Sao Tome and Principe', 'continentcode': 'AF', 'population': 175808, 'geonameid': 2410758},
    'SV': {'code': 'SV', 'name': 'El Salvador', 'continentcode': 'NA', 'population': 6052064, 'geonameid': 3585968},
    'SX': {'code': 'SX', 'name': 'Sint Maarten', 'continentcode': 'NA', 'population': 37429, 'geonameid': 7609695},
    'SY': {'code': 'SY', 'name': 'Syria', 'continentcode': 'AS', 'population': 22198110, 'geonameid': 163843},
    'SZ': {'code': 'SZ', 'name': 'Swaziland', 'continentcode': 'AF', 'population': 1354051, 'geonameid': 934841},
    'TC': {'code': 'TC', 'name': 'Turks and Caicos Islands', 'continentcode': 'NA', 'population': 20556, 'geonameid': 3576916},
    'TD': {'code': 'TD', 'name': 'Chad', 'continentcode': 'AF', 'population': 10543464, 'geonameid': 2434508},
    'TF': {'code': 'TF', 'name': 'French Southern Territories', 'continentcode': 'AN', 'population': 140, 'geonameid': 1546748},
    'TG': {'code': 'TG', 'name': 'Togo', 'continentcode': 'AF', 'population': 6587239, 'geonameid': 2363686},
    'TH': {'code': 'TH', 'name': 'Thailand', 'continentcode': 'AS', 'population': 67089500, 'geonameid': 1605651},
    'TJ': {'code': 'TJ', 'name': 'Tajikistan', 'continentcode': 'AS', 'population': 7487489, 'geonameid': 1220409},
    'TK': {'code': 'TK', 'name': 'Tokelau', 'continentcode': 'OC', 'population': 1466, 'geonameid': 4031074},
    'TL': {'code': 'TL', 'name': 'East Timor', 'continentcode': 'OC', 'population': 1154625, 'geonameid': 1966436},
    'TM': {'code': 'TM', 'name': 'Turkmenistan', 'continentcode': 'AS', 'population': 4940916, 'geonameid': 1218197},
    'TN': {'code': 'TN', 'name': 'Tunisia', 'continentcode': 'AF', 'population': 10589025, 'geonameid': 2464461},
    'TO': {'code': 'TO', 'name': 'Tonga', 'continentcode': 'OC', 'population': 122580, 'geonameid': 4032283},
    'TR': {'code': 'TR', 'name': 'Turkey', 'continentcode': 'AS', 'population': 77804122, 'geonameid': 298795},
    'TT': {'code': 'TT', 'name': 'Trinidad and Tobago', 'continentcode': 'NA', 'population': 1228691, 'geonameid': 3573591},
    'TV': {'code': 'TV', 'name': 'Tuvalu', 'continentcode': 'OC', 'population': 10472, 'geonameid': 2110297},
    'TW': {'code': 'TW', 'name': 'Taiwan', 'continentcode': 'AS', 'population': 22894384, 'geonameid': 1668284},
    'TZ': {'code': 'TZ', 'name': 'Tanzania', 'continentcode': 'AF', 'population': 41892895, 'geonameid': 149590},
    'UA': {'code': 'UA', 'name': 'Ukraine', 'continentcode': 'EU', 'population': 45415596, 'geonameid': 690791},
    'UG': {'code': 'UG', 'name': 'Uganda', 'continentcode': 'AF', 'population': 33398682, 'geonameid': 226074},
    'UM': {'code': 'UM', 'name': 'United States Minor Outlying Islands', 'continentcode': 'OC', 'population': 0, 'geonameid': 5854968},
    'US': {'code': 'US', 'name': 'United States', 'continentcode': 'NA', 'population': 310232863, 'geonameid': 6252001},
    'UY': {'code': 'UY', 'name': 'Uruguay', 'continentcode': 'SA', 'population': 3477000, 'geonameid': 3439705},
    'UZ': {'code': 'UZ', 'name': 'Uzbekistan', 'continentcode': 'AS', 'population': 27865738, 'geonameid': 1512440},
    'VA': {'code': 'VA', 'name': 'Vatican', 'continentcode': 'EU', 'population': 921, 'geonameid': 3164670},
    'VC': {'code': 'VC', 'name': 'Saint Vincent and the Grenadines', 'continentcode': 'NA', 'population': 104217, 'geonameid': 3577815},
    'VE': {'code': 'VE', 'name': 'Venezuela', 'continentcode': 'SA', 'population': 27223228, 'geonameid': 3625428},
    'VG': {'code': 'VG', 'name': 'British Virgin Islands', 'continentcode': 'NA', 'population': 21730, 'geonameid': 3577718},
    'VI': {'code': 'VI', 'name': 'U.S. Virgin Islands', 'continentcode': 'NA', 'population': 108708, 'geonameid': 4796775},
    'VN': {'code': 'VN', 'name': 'Vietnam', 'continentcode': 'AS', 'population': 89571130, 'geonameid': 1562822},
    'VU': {'code': 'VU', 'name': 'Vanuatu', 'continentcode': 'OC', 'population': 221552, 'geonameid': 2134431},
    'WF': {'code': 'WF', 'name': 'Wallis and Futuna', 'continentcode': 'OC', 'population': 16025, 'geonameid': 4034749},
    'WS': {'code': 'WS', 'name': 'Samoa', 'continentcode': 'OC', 'population': 192001, 'geonameid': 4034894},
    'YE': {'code': 'YE', 'name': 'Yemen', 'continentcode': 'AS', 'population': 23495361, 'geonameid': 69543},
    'YT': {'code': 'YT', 'name': 'Mayotte', 'continentcode': 'AF', 'population': 159042, 'geonameid': 1024031},
    'ZA': {'code': 'ZA', 'name': 'South Africa', 'continentcode': 'AF', 'population': 49000000, 'geonameid': 953987},
    'ZM': {'code': 'ZM', 'name': 'Zambia', 'continentcode': 'AF', 'population': 13460305, 'geonameid': 895949},
    'ZW': {'code': 'ZW', 'name': 'Zimbabwe', 'continentcode': 'AF', 'population': 11651858, 'geonameid': 878675},
    'CS': {'code': 'CS', 'name': 'Serbia and Montenegro', 'continentcode': 'EU', 'population': 10829175, 'geonameid': None},
    'AN': {'code': 'AN', 'name': 'Netherlands Antilles', 'continentcode': 'NA', 'population': 136197, 'geonameid': None}
}

us_states = {
    'AK': {'code': 'AK', 'name': 'Alaska', 'geonameid': 5879092},
    'AL': {'code': 'AL', 'name': 'Alabama', 'geonameid': 4829764},
    'AR': {'code': 'AR', 'name': 'Arkansas', 'geonameid': 4099753},
    'AZ': {'code': 'AZ', 'name': 'Arizona', 'geonameid': 5551752},
    'CA': {'code': 'CA', 'name': 'California', 'geonameid': 5332921},
    'CO': {'code': 'CO', 'name': 'Colorado', 'geonameid': 5417618},
    'CT': {'code': 'CT', 'name': 'Connecticut', 'geonameid': 4831725},
    'DC': {'code': 'DC', 'name': 'District of Columbia', 'geonameid': 4138106},
    'DE': {'code': 'DE', 'name': 'Delaware', 'geonameid': 4142224},
    'FL': {'code': 'FL', 'name': 'Florida', 'geonameid': 4155751},
    'GA': {'code': 'GA', 'name': 'Georgia', 'geonameid': 4197000},
    'HI': {'code': 'HI', 'name': 'Hawaii', 'geonameid': 5855797},
    'IA': {'code': 'IA', 'name': 'Iowa', 'geonameid': 4862182},
    'ID': {'code': 'ID', 'name': 'Idaho', 'geonameid': 5596512},
    'IL': {'code': 'IL', 'name': 'Illinois', 'geonameid': 4896861},
    'IN': {'code': 'IN', 'name': 'Indiana', 'geonameid': 4921868},
    'KS': {'code': 'KS', 'name': 'Kansas', 'geonameid': 4273857},
    'KY': {'code': 'KY', 'name': 'Kentucky', 'geonameid': 6254925},
    'LA': {'code': 'LA', 'name': 'Louisiana', 'geonameid': 4331987},
    'MA': {'code': 'MA', 'name': 'Massachusetts', 'geonameid': 6254926},
    'MD': {'code': 'MD', 'name': 'Maryland', 'geonameid': 4361885},
    'ME': {'code': 'ME', 'name': 'Maine', 'geonameid': 4971068},
    'MI': {'code': 'MI', 'name': 'Michigan', 'geonameid': 5001836},
    'MN': {'code': 'MN', 'name': 'Minnesota', 'geonameid': 5037779},
    'MO': {'code': 'MO', 'name': 'Missouri', 'geonameid': 4398678},
    'MS': {'code': 'MS', 'name': 'Mississippi', 'geonameid': 4436296},
    'MT': {'code': 'MT', 'name': 'Montana', 'geonameid': 5667009},
    'NC': {'code': 'NC', 'name': 'North Carolina', 'geonameid': 4482348},
    'ND': {'code': 'ND', 'name': 'North Dakota', 'geonameid': 5690763},
    'NE': {'code': 'NE', 'name': 'Nebraska', 'geonameid': 5073708},
    'NH': {'code': 'NH', 'name': 'New Hampshire', 'geonameid': 5090174},
    'NJ': {'code': 'NJ', 'name': 'New Jersey', 'geonameid': 5101760},
    'NM': {'code': 'NM', 'name': 'New Mexico', 'geonameid': 5481136},
    'NV': {'code': 'NV', 'name': 'Nevada', 'geonameid': 5509151},
    'NY': {'code': 'NY', 'name': 'New York', 'geonameid': 5128638},
    'OH': {'code': 'OH', 'name': 'Ohio', 'geonameid': 5165418},
    'OK': {'code': 'OK', 'name': 'Oklahoma', 'geonameid': 4544379},
    'OR': {'code': 'OR', 'name': 'Oregon', 'geonameid': 5744337},
    'PA': {'code': 'PA', 'name': 'Pennsylvania', 'geonameid': 6254927},
    'RI': {'code': 'RI', 'name': 'Rhode Island', 'geonameid': 5224323},
    'SC': {'code': 'SC', 'name': 'South Carolina', 'geonameid': 4597040},
    'SD': {'code': 'SD', 'name': 'South Dakota', 'geonameid': 5769223},
    'TN': {'code': 'TN', 'name': 'Tennessee', 'geonameid': 4662168},
    'TX': {'code': 'TX', 'name': 'Texas', 'geonameid': 4736286},
    'UT': {'code': 'UT', 'name': 'Utah', 'geonameid': 5549030},
    'VA': {'code': 'VA', 'name': 'Virginia', 'geonameid': 6254928},
    'VT': {'code': 'VT', 'name': 'Vermont', 'geonameid': 5242283},
    'WA': {'code': 'WA', 'name': 'Washington', 'geonameid': 5815135},
    'WI': {'code': 'WI', 'name': 'Wisconsin', 'geonameid': 5279468},
    'WV': {'code': 'WV', 'name': 'West Virginia', 'geonameid': 4826850},
    'WY': {'code': 'WY', 'name': 'Wyoming', 'geonameid': 5843591}
}
